> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cluster Gitops Status Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/{cluster_id}/gitops/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/gitops/status:
    get:
      tags:
        - Cluster
      summary: Get Cluster Gitops Status Endpoint
      operationId: >-
        get_cluster_gitops_status_endpoint_api_v1_clusters__cluster_id__gitops_status_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitOpsStatusResponse'
          description: Successful Response
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GitOpsStatusResponse:
      properties:
        sync_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Status
        last_synced_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Synced At
        last_synced_from:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Synced From
        last_commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Commit Sha
        last_commit_timestamp:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Last Commit Timestamp
        pending_commit_sha:
          anyOf:
            - type: string
            - type: 'null'
          title: Pending Commit Sha
        sync_phase:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Phase
        sync_progress_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Sync Progress Message
        applied_with_failed_members:
          default: false
          title: Applied With Failed Members
          type: boolean
        error:
          anyOf:
            - $ref: '#/components/schemas/ValidationErrorInfo'
            - $ref: '#/components/schemas/MultipleValidationErrorsInfo'
            - $ref: '#/components/schemas/GeneralErrorInfo'
            - type: 'null'
          title: Error
        retry_count:
          default: 0
          title: Retry Count
          type: integer
        cluster_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Name
        cluster_short_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Cluster Short Id
        git_repo:
          anyOf:
            - $ref: '#/components/schemas/GitRepoInfo'
            - type: 'null'
      title: GitOpsStatusResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationErrorInfo:
      properties:
        error_type:
          title: Error Type
          type: string
        resource_type:
          title: Resource Type
          type: string
        resource_name:
          title: Resource Name
          type: string
        missing_fields:
          items:
            $ref: '#/components/schemas/MissingFieldInfo'
          title: Missing Fields
          type: array
        invalid_fields:
          items:
            type: string
          title: Invalid Fields
          type: array
        message:
          title: Message
          type: string
      required:
        - error_type
        - resource_type
        - resource_name
        - missing_fields
        - invalid_fields
        - message
      title: ValidationErrorInfo
      type: object
    MultipleValidationErrorsInfo:
      properties:
        error_type:
          title: Error Type
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ValidationErrorInfo'
          title: Errors
          type: array
      required:
        - error_type
        - errors
      title: MultipleValidationErrorsInfo
      type: object
    GeneralErrorInfo:
      properties:
        error_type:
          title: Error Type
          type: string
        message:
          title: Message
          type: string
      required:
        - error_type
        - message
      title: GeneralErrorInfo
      type: object
    GitRepoInfo:
      properties:
        provider:
          title: Provider
          type: string
        branch:
          title: Branch
          type: string
        web_url:
          title: Web Url
          type: string
        repo_owner:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Owner
        repo_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Name
        workspace:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace
        repo_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Repo Slug
        project_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Key
        instance_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance Url
        credential_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Credential Name
      required:
        - provider
        - branch
        - web_url
      title: GitRepoInfo
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    MissingFieldInfo:
      properties:
        field:
          title: Field
          type: string
        description:
          title: Description
          type: string
        example:
          title: Example
          type: string
      required:
        - field
        - description
        - example
      title: MissingFieldInfo
      type: object

````